Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextDocument.FindFlag

    java.lang.Object
      java.lang.Enum<QTextDocument.FindFlag>
          com.trolltech.qt.gui.QTextDocument.FindFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextDocument.FindFlag>

Enclosing class:
  QTextDocument

    public static enum QTextDocument.FindFlag

extends java.lang.Enum<QTextDocument.FindFlag>
implements QtEnumerator

This enum describes the options available to `QTextDocument`'s find function. The options can be OR-red together from the following list:

Constant | Value | Description
--- | --- | ---
`FindBackward` | `1` | Search backwards instead of forwards.
`FindCaseSensitively` | `2` | By default find works case insensitive. Specifying this option changes the behaviour to a case sensitive find operation.
`FindWholeWords` | `4` | Makes find match only complete words.

Enum Constant Summary
`FindBackward` Search backwards instead of forwards.
`FindCaseSensitively` By default find works case insensitive.
`FindWholeWords` Makes find match only complete words.

Method Summary
`static QTextDocument.FindFlags` | `createQFlags(QTextDocument.FindFlag... values)`
`static QTextDocument.FindFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextDocument.FindFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextDocument.FindFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FindBackward

    public static final QTextDocument.FindFlag FindBackward

  Search backwards instead of forwards.

### FindCaseSensitively

    public static final QTextDocument.FindFlag FindCaseSensitively

  By default find works case insensitive. Specifying this option changes the behaviour to a case sensitive find operation.

### FindWholeWords

    public static final QTextDocument.FindFlag FindWholeWords

  Makes find match only complete words.

Method Detail

### values

    public static final QTextDocument.FindFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextDocument.FindFlag c : QTextDocument.FindFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextDocument.FindFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextDocument.FindFlags createQFlags(QTextDocument.FindFlag... values)

### resolve

    public static QTextDocument.FindFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD